// 9.1

function initialize() {
	TbeamTypeChange();
	PositionLonitudinalChange();
}

function TbeamTypeChange() {
	switch (document.getElementById('TbeamType').value) {
		case "Αμφίπλευρη πλακοδοκός":
			document.getElementById('Lntrans2_tr').style.display = '';
			break;
		case "Μονόπλευρη πλακοδοκός":
			document.getElementById('Lntrans2_tr').style.display = 'none';
			break;
	}
	Calcbeff();
}

function PositionLonitudinalChange() {
	myTBeamSection = new TBeamSection();
	// myTBeamSection.bw = document.getElementById("bw").value;
	//
	var Positionindex = document.getElementById("PositionLonitudinal").selectedIndex;
	//
	switch (Positionindex) {
		case 0:
			document.getElementById('L_tr').style.display = '';
			document.getElementById('L1_tr').style.display = 'none';
			document.getElementById('L2_tr').style.display = 'none';
			document.getElementById('L3_tr').style.display = 'none';
			break;
		case 1:
			document.getElementById('L_tr').style.display = 'none';
			document.getElementById('L1_tr').style.display = '';
			document.getElementById('L2_tr').style.display = 'none';
			document.getElementById('L3_tr').style.display = 'none';
			break;
		case 2:
			document.getElementById('L_tr').style.display = 'none';
			document.getElementById('L1_tr').style.display = 'none';
			document.getElementById('L2_tr').style.display = '';
			document.getElementById('L3_tr').style.display = 'none';
			break;
		case 3:
			document.getElementById('L_tr').style.display = 'none';
			document.getElementById('L1_tr').style.display = '';
			document.getElementById('L2_tr').style.display = '';
			document.getElementById('L3_tr').style.display = 'none';
			break;
		case 4:
			document.getElementById('L_tr').style.display = 'none';
			document.getElementById('L1_tr').style.display = 'none';
			document.getElementById('L2_tr').style.display = '';
			document.getElementById('L3_tr').style.display = '';
			break;
	}
	Calcbeff();
}

function TBeamSection(bw, h, hf, FlangeSingleSide, beff) {
	this.bw = bw;
	this.h = h;
	this.hf = hf;
	this.FlangeSingleSide = FlangeSingleSide;
	this.beff = beff;
	//
	this.getbeff = function (Lntrans1, Lntrans2, PositionLonitudinal, L, L1, L2, L3) {
		if (this.FlangeSingleSide === 1) {
			Lntrans2 = 0;
		}
		this.b1 = Lntrans1 / 2;
		this.b2 = Lntrans2 / 2;
		//
		var b = this.b1 + this.b2 + this.bw;
		this.b = b;
		switch (PositionLonitudinal) {
			case 0:
				this.l0 = L;
				break;
			case 1:
				this.l0 = 0.85 * L1;
				break;
			case 2:
				this.l0 = 0.7 * L2;
				break;
			case 3:
				this.l0 = 0.15 * (L1 + L2);
				break;
			case 4:
				this.l0 = 0.15 * L2 + L3;
				break;
		}
		//
		this.beff1 = Math.min(0.2 * this.b1 + 0.1 * this.l0, 0.2 * this.l0, this.b1);
		this.beff2 = Math.min(0.2 * this.b2 + 0.1 * this.l0, 0.2 * this.l0, this.b2);
		this.beff = Math.min(this.bw + this.beff1 + this.beff2, this.b);
	};
}

function Calcbeff() {
	// function TBeamSection(bw, h, hf, FlangeSingleSide, beff) {
	// FlangeSingleSide: 0 for both sides, 1 for single side
	var myTbeam = new TBeamSection();
	myTbeam.bw = parseFloat(document.getElementById("bw").value);
	myTbeam.FlangeSingleSide = parseInt(document.getElementById("TbeamType").selectedIndex, 10);
	// myTbeam.getbeff = function (Lntrans1, Lntrans2, PositionLonitudinal, L, L1, L2, L3)
	var Lntrans1 = parseFloat(document.getElementById("Ln.εγκ1").value);
	var Lntrans2 = parseFloat(document.getElementById("Ln.εγκ2").value);
	var PositionLonitudinal = document.getElementById("PositionLonitudinal").selectedIndex;
	var L = parseFloat(document.getElementById("L").value);
	var L1 = parseFloat(document.getElementById("L1").value);
	var L2 = parseFloat(document.getElementById("L2").value);
	var L3 = parseFloat(document.getElementById("L3").value);
	myTbeam.getbeff(Lntrans1, Lntrans2, PositionLonitudinal, L, L1, L2, L3);
	// results
	/*
	var resultstext = "";
	resultstext += "b1 = " + myTbeam.b1.toFixed(3) + "m" + "</br>";
	resultstext += "b2 = " + myTbeam.b2.toFixed(3) + "m" + "</br>";
	resultstext += "b = " + myTbeam.b.toFixed(3) + "m" + "</br>";
	resultstext += "l0 = " + myTbeam.l0.toFixed(3) + "m" + "</br>";
	resultstext += "beff1 = " + myTbeam.beff1.toFixed(3) + "m" + "</br>";
	resultstext += "beff2 = " + myTbeam.beff2.toFixed(3) + "m" + "</br>";
	resultstext += "beff = " + myTbeam.beff.toFixed(3) + "m" + "</br>";
	//
	document.getElementById("results").innerHTML = resultstext;
	*/
	document.getElementById("b1result").innerHTML = myTbeam.b1.toFixed(3) + "m";
	document.getElementById("b2result").innerHTML = myTbeam.b2.toFixed(3) + "m";
	document.getElementById("bresult").innerHTML = myTbeam.b.toFixed(3) + "m";	
	document.getElementById("l0result").innerHTML = myTbeam.l0.toFixed(3) + "m";
	document.getElementById("beff1result").innerHTML = myTbeam.beff1.toFixed(3) + "m";
	document.getElementById("beff2result").innerHTML = myTbeam.beff2.toFixed(3) + "m";
	document.getElementById("beffresult").innerHTML = myTbeam.beff.toFixed(3) + "m";
}



// 9.2

function TBeamSection2(bw, h, hf, beff, FlangeBothSides) {
	this.bw = bw;
	this.h = h;
	this.hf = hf;
	this.beff = beff;
	this.FlangeBothSides = FlangeBothSides;
}

function Calc_beff() {
	var l0;

	myTBeamSection = new TBeamSection2;
	myTBeamSection.bw = parseFloat(document.getElementById("bw_92").value);

	// Καθορισμός τύπου στηρίξεων
	var Positionindex = document.getElementById("Position_92").selectedIndex;
	L = parseFloat(document.getElementById("L_92").value);
	switch (Positionindex) {
		case 0:
			l0 = L;
			break;
		case 1:
			l0 = 0.8 * L;
			break;
		case 2:
			l0 = 0.6 * L;
			break;
		case 3:
			l0 = 1.5 * L;
			break;
		case 4:
			L1 = parseFloat(document.getElementById("L1_92").value);
			L2 = parseFloat(document.getElementById("L2_92").value);
			l0 = 0.15 * (L1 + L2);
	}
	document.getElementById("l0_92").value = l0.toFixed(3);

	// Καθορισμός μονόπλευρης ή αμφίπλευρη ΠΔ
	// myTBeamSection.FlangeBothSides = parseInt(document.getElementById("TbeamType").selectedIndex);

	// Υπολογισμός beff
	switch (parseInt(document.getElementById("TbeamType_92").selectedIndex)) {
		case 0:
			myTBeamSection.beff = myTBeamSection.bw + l0 / 5;
			break;
		case 1:
			myTBeamSection.beff = myTBeamSection.bw + l0 / 10;
	}

	document.getElementById("beff_92").value = myTBeamSection.beff.toFixed(3);
}

function PositionChange() {
	myTBeamSection = new TBeamSection2;
	myTBeamSection.bw = document.getElementById("bw_92").value;

	var Positionindex = document.getElementById("Position_92").selectedIndex;

	switch (Positionindex) {
		case 4:
			document.getElementById("SingleLength_92").style = "display:none;";
			document.getElementById("TwoLengths_92").style = "display";
			break;
		default:
			document.getElementById("SingleLength_92").style = "display;";
			document.getElementById("TwoLengths_92").style = "display:none";
	}
	Calc_beff()
}

function TbeamTypeChange2() {
	switch (parseInt(document.getElementById("TbeamType_92").selectedIndex)) {
		case 0:
			document.getElementById("l0factor_92").innerHTML = "5";
			break;
		case 1:
			document.getElementById("l0factor_92").innerHTML = "10";
	}
	Calc_beff()
}



// 9.3

function reCalc() {
    var dropTypos = document.getElementById('Typ_93');
    var dropDokos = document.getElementById('Dokos_93');
    //    alert(dropTypos.options[dropTypos.selectedIndex].value);
    //    alert(dropDokos.options[dropDokos.selectedIndex].value);
    var myindex = dropTypos.selectedIndex;
    var SelValue = dropTypos.options[myindex].value;
    //
    var L1 = parseFloat(document.getElementById('L1_93').value);
    var L2 = parseFloat(document.getElementById('L2_93').value);
    var L1a, L1b, L1c;
    var L2a, L2b, L2c;
    //
    switch (SelValue) {
        case "1":
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_01.png';
            break;
        case "2a":
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_02a.png';
            break;
        case "2b":
            L1a = (L2 / 2) / Math.tan(Math.PI / 6);
            L1c = L2 / 2;
            L1b = L1 - L1a - L1c;
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_02b1.png';
            if (L1b < 0) {
                document.getElementById('pic1_93').src = 'images/inter_09_03_1_02b2.png';
            }
            break;
        case "3a":
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_03a.png';
            break;
        case "3b":
            L2a = L2 / 2;
            L2b = L2a;
            L1a = L2a / Math.tan(Math.PI / 6);
            L1c = L1a;
            L1b = L1 - L1a - L1c;
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_03b1.png';
            if (L1b < 0) {
                document.getElementById('pic1_93').src = 'images/inter_09_03_1_03b2.png';
            }
            break;
        case "4":
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_04.png';
            break;
        case "5a":
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_05a.png';
            break;
        case "5b":
            L2b = L2 / (1 + Math.tan(Math.PI / 3) / Math.tan(Math.PI / 4));
            L2a = L2 - L2b;
            L1a = L2a;
            L1c = L2a;
            L1b = L1 - L1a - L1c;
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_05b1.png';
            if (L1b < 0) {
                document.getElementById('pic1_93').src = 'images/inter_09_03_1_05b2.png';
            }
            break;
        default:
            document.getElementById('pic1_93').src = 'images/inter_09_03_1_01.png';
    }
    //
    document.getElementById('pic1_93').width = 450;
    //
    GetLoad();
}

function GetLoad() {
    var L1 = parseFloat(document.getElementById('L1_93').value);
    var L2 = parseFloat(document.getElementById('L2_93').value);
    var Typos = document.getElementById('Typ_93').value;
    var Pleyra = parseFloat(document.getElementById('Dokos_93').value);
    var Pplakas = parseFloat(document.getElementById('Ppl_93').value);
    var load = BeamUniformLoadFromSlab(Pplakas, L1, L2, Typos, Pleyra);
    document.getElementById('BeamLoad_93').value = load.toFixed(3);
}



// 9.4

function myFunction() {
	var agR = document.getElementById("agR").value;
	var importance = document.getElementById("Importance").value;
	var soiltype = document.getElementById("SoilType").value;
	var q = document.getElementById("q").value;
	var beta = 0.2;

	var plotButton = document.getElementById("plot");

	var plotec8 = function () {
		var graph = document.getElementById("graph_spec");
		var width = parseInt(graph.style.width);
		var x1 = 0;
		var x2 = 4;
		var xs = 1.0 * (x2 - x1) / width;

		var myec8 = new EC8DesignSpectrum(agR, importance, q, soiltype);
		myec8.ApplyParameters();

		var data = [];
		for (var i = 0; i < width; i++) {
			var x = x1 + i * xs;
			var y = myec8.Sd(x);
			var row = [x];
			if (y.length > 0) {
				for (var j = 0; j < y.length; j++) {
					row.push(y[j]);
				}
			} else {
				row.push(y);
			}
			data.push(row);
		}

		g = new Dygraph(graph, data);
		g.updateOptions({
			digitsAfterDecimal: 4,
			sigFigs: 4
		});
	};
	plotec8();
}